Compare commits

...
Author SHA1 Message Date
Carlos Anguita e822b0744e Merge pull request #1804 from wazuh/merge-4.12.2-into-4.13.0 2025-05-08 10:22:11 +02:00
Enrique Araque c6284f5b2d Merge branch '4.12.2' into merge-4.12.2-into-4.13.0 2025-05-08 10:19:01 +02:00
Carlos Anguita 212bc7d346 Merge pull request #1803 from wazuh/merge-4.12.1-into-4.12.2 2025-05-08 10:13:51 +02:00
Enrique Araque f0c945b3bd Merge branch '4.12.1' into merge-4.12.1-into-4.12.2 2025-05-08 10:12:01 +02:00
Carlos Anguita c6bc6cad0b Merge pull request #1802 from wazuh/merge-4.12.0-into-4.12.1 2025-05-08 10:08:54 +02:00
Enrique Araque 4eea59da8b Merge branch '4.12.0' into merge-4.12.0-into-4.12.1 2025-05-08 10:04:07 +02:00
Gonzalo Acuña 2cf6253985 Merge pull request #1798 from wazuh/enhancement/1797-bump-4.12.2-version
Bump 4.12.2 version
2025-05-06 14:01:13 -03:00
vcerenu 81a41f93ed Bump 4.12.2 version 2025-05-06 13:56:32 -03:00
Carlos Bordon e9851e5aa7 Merge pull request #1781 from wazuh/change/1778-repository-bumper-script-development
Added repository_bumper script
2025-04-22 15:47:46 -03:00
c-bordon 4b04578cf5 Updated major.minor replacement 2025-04-22 12:08:13 -03:00
c-bordon 2e22add312 Removed README exception 2025-04-15 16:37:41 -03:00
c-bordon e161490f4d Updated changelog 2025-04-15 14:37:50 -03:00
c-bordon 1445bdc420 Removed mmp version replacement 2025-04-15 14:21:49 -03:00
c-bordon 9b2f667a8e Added repository_bumper script 2025-04-15 12:05:28 -03:00
Carlos Bordon b43c9ddc96 Merge pull request #1777 from wazuh/merge-4.12.1-into-4.13.0
Merge 4.12.1 into 4.13.0
2025-04-11 08:45:11 -03:00
Enrique Araque 49b45fb342 Merge branch '4.10.2' into merge-4.10.2-into-4.11.0 2025-04-11 13:42:03 +02:00
Gonzalo Acuña 5d272abb51 Merge pull request #1775 from wazuh/newversion/1774-bump-to-4.12.1
Bump to 4.12.1
2025-04-09 12:38:07 -03:00
Jesus Garcia a371c28a05 Bump to 4.12.1 2025-04-09 10:24:24 -05:00
Carlos Bordon dfb3289bd8 Merge pull request #1769 from wazuh/merge-4.12.0-into-4.13.0
Merge 4.12.0 into 4.13.0
2025-04-01 11:55:36 -03:00
Gonzalo Acuña cf972d3858 Merge pull request #1761 from wazuh/idr/2137-review-wrong-references-in-devops-workflows
Remove default docker reference version from workflow
2025-03-26 16:44:02 -03:00
Jesus Garcia 51d3d7a946 Remove default docker reference version from workflow 2025-03-25 16:21:59 -05:00
Gonzalo Acuña e1bf0a0dc5 Merge pull request #1757 from wazuh/enhancement/1735-remove-stable-branch
Remove 'stable' branch ocurrencies
2025-03-18 14:28:55 -03:00
Jesus Garcia c1565a5553 Remove 'stable' branch ocurrencies 2025-03-18 11:16:52 -05:00
Gonzalo Acuña 75fb9a4e4c Merge pull request #1754 from wazuh/merge-4.12.0-into-4.13.0
Merge 4.12.0 into 4.13.0
2025-03-12 14:16:07 -03:00
Gonzalo Acuña 4aaf0a1b8c Merge pull request #1750 from wazuh/enhancement/5142-change-wazuhkeystore-use
Modify wazuh-keystore  use
2025-03-12 09:31:23 -03:00
vcerenu 1186c6f9d6 Modify wazuh-keystore use 2025-03-11 15:31:31 -03:00
vcerenu 87a3ccd3ee Add changelog 2025-03-11 15:08:41 -03:00
vcerenu 7f08f4cbff Modify wazuh-keystore use 2025-03-11 15:07:14 -03:00
Gonzalo Acuña 607b01351e Merge pull request #1749 from wazuh/enhancement/1748-bump-4130-version
Bump 4.13.0 version
2025-03-10 14:03:15 -03:00
vcerenu b2de3600ce Bump 4.13.0 version 2025-03-10 13:44:19 -03:00
19 changed files with 242 additions and 82 deletions
+3 -3
View File
@@ -1,6 +1,6 @@
WAZUH_VERSION=4.12.0
WAZUH_IMAGE_VERSION=4.12.0
WAZUH_VERSION=4.13.0
WAZUH_IMAGE_VERSION=4.13.0
WAZUH_TAG_REVISION=1
FILEBEAT_TEMPLATE_BRANCH=4.12.0
FILEBEAT_TEMPLATE_BRANCH=4.13.0
WAZUH_FILEBEAT_MODULE=wazuh-filebeat-0.4.tar.gz
WAZUH_UI_REVISION=1
+1 -1
View File
@@ -56,7 +56,7 @@ package:
wazuh-manager:
installed: true
versions:
- 4.12.0
- 4.13.0
port:
tcp:1514:
listening: true
@@ -6,11 +6,10 @@ on:
inputs:
image_tag:
description: 'Docker image tag'
default: '4.12.0'
default: '4.13.0'
required: true
docker_reference:
description: 'wazuh-docker reference'
default: 'v4.12.0'
required: true
products:
description: 'Comma-separated list of the image names to build and push'
@@ -42,12 +41,11 @@ on:
inputs:
image_tag:
description: 'Docker image tag'
default: '4.12.0'
default: '4.13.0'
required: true
type: string
docker_reference:
description: 'wazuh-docker reference'
default: 'v4.12.0'
required: false
type: string
products:
+1 -2
View File
@@ -11,8 +11,7 @@ on:
- published
pull_request:
branches:
- master
- stable
- main
schedule:
- cron: '34 2 * * 1'
workflow_dispatch:
+1 -2
View File
@@ -11,8 +11,7 @@ on:
- published
pull_request:
branches:
- master
- stable
- main
schedule:
- cron: '34 2 * * 1'
workflow_dispatch:
+1 -2
View File
@@ -11,8 +11,7 @@ on:
- published
pull_request:
branches:
- master
- stable
- main
schedule:
- cron: '34 2 * * 1'
workflow_dispatch:
+2 -1
View File
@@ -1,4 +1,5 @@
single-node/config/wazuh_indexer_ssl_certs/*.pem
single-node/config/wazuh_indexer_ssl_certs/*.key
multi-node/config/wazuh_indexer_ssl_certs/*.pem
multi-node/config/wazuh_indexer_ssl_certs/*.key
multi-node/config/wazuh_indexer_ssl_certs/*.key
*.log
+56
View File
@@ -1,6 +1,62 @@
# Change Log
All notable changes to this project will be documented in this file.
## [4.13.0]
### Added
- Added repository_bumper script. ([#1781](https://github.com/wazuh/wazuh-docker/pull/1781))
### Changed
- Modify wazuh-keystore use ([#1750](https://github.com/wazuh/wazuh-docker/pull/1750)) \- (wazuh-keystore)
### Fixed
- None
### Deleted
- Remove default docker reference version from workflow ([#1761](https://github.com/wazuh/wazuh-docker/pull/1761))
- Remove 'stable' branch ocurrencies ([#1757](https://github.com/wazuh/wazuh-docker/pull/1757))
## [4.12.2]
### Added
- None
### Changed
- None
### Fixed
- None
### Deleted
- None
## [4.12.1]
### Added
- None
### Changed
- None
### Fixed
- None
### Deleted
- None
## [4.12.0]
### Added
+2 -44
View File
@@ -171,55 +171,13 @@ WAZUH_MONITORING_REPLICAS=0 ##
## Branches
* `master` branch contains the latest code, be aware of possible bugs on this branch.
* `stable` branch corresponds to the last Wazuh stable version.
* `main` branch contains the latest code, be aware of possible bugs on this branch.
## Compatibility Matrix
| Wazuh version | ODFE | XPACK |
|---------------|---------|--------|
| v4.12.0 | | |
| v4.11.2 | | |
| v4.11.1 | | |
| v4.11.0 | | |
| v4.10.1 | | |
| v4.10.0 | | |
| v4.9.2 | | |
| v4.9.1 | | |
| v4.9.0 | | |
| v4.8.2 | | |
| v4.8.1 | | |
| v4.8.0 | | |
| v4.7.5 | | |
| v4.7.4 | | |
| v4.7.3 | | |
| v4.7.2 | | |
| v4.7.1 | | |
| v4.7.0 | | |
| v4.6.0 | | |
| v4.5.4 | | |
| v4.5.3 | | |
| v4.5.2 | | |
| v4.5.1 | | |
| v4.5.0 | | |
| v4.4.5 | | |
| v4.4.4 | | |
| v4.4.3 | | |
| v4.4.2 | | |
| v4.4.1 | | |
| v4.4.0 | | |
| v4.3.11 | | |
| v4.3.10 | | |
| v4.3.9 | | |
| v4.3.8 | | |
| v4.3.7 | | |
| v4.3.6 | | |
| v4.3.5 | | |
| v4.3.4 | | |
| v4.3.3 | | |
| v4.3.2 | | |
| v4.3.1 | | |
| v4.3.0 | | |
| v4.3.0+ | N/A | N/A |
| v4.2.7 | 1.13.2 | 7.11.2 |
| v4.2.6 | 1.13.2 | 7.11.2 |
| v4.2.5 | 1.13.2 | 7.11.2 |
+2 -2
View File
@@ -1,4 +1,4 @@
{
"version": "4.12.0",
"stage": "rc1"
"version": "4.13.0",
"stage": "alpha0"
}
+2 -2
View File
@@ -13,7 +13,7 @@ This script initializes the environment variables needed to build each of the im
The script allows you to build images from other versions of Wazuh, to do this you must use the -v or --version argument:
```
$ build-docker-images/build-images.sh -v 4.12.0
$ build-docker-images/build-images.sh -v 4.13.0
```
To get all the available script options use the -h or --help option:
@@ -26,7 +26,7 @@ Usage: build-docker-images/build-images.sh [OPTIONS]
-d, --dev <ref> [Optional] Set the development stage you want to build, example rc1 or beta1, not used by default.
-f, --filebeat-module <ref> [Optional] Set Filebeat module version. By default 0.4.
-r, --revision <rev> [Optional] Package revision. By default 1
-v, --version <ver> [Optional] Set the Wazuh version should be builded. By default, 4.12.0.
-v, --version <ver> [Optional] Set the Wazuh version should be builded. By default, 4.13.0.
-h, --help Show this help.
```
+2 -2
View File
@@ -1,4 +1,4 @@
WAZUH_IMAGE_VERSION=4.12.0
WAZUH_IMAGE_VERSION=4.13.0
WAZUH_VERSION=$(echo $WAZUH_IMAGE_VERSION | sed -e 's/\.//g')
WAZUH_TAG_REVISION=1
WAZUH_CURRENT_VERSION=$(curl --silent https://api.github.com/repos/wazuh/wazuh/releases/latest | grep '["]tag_name["]:' | sed -E 's/.*\"([^\"]+)\".*/\1/' | cut -c 2- | sed -e 's/\.//g')
@@ -12,7 +12,7 @@ IMAGE_VERSION=${WAZUH_IMAGE_VERSION}
# License (version 2) as published by the FSF - Free Software
# Foundation.
WAZUH_IMAGE_VERSION="4.12.0"
WAZUH_IMAGE_VERSION="4.13.0"
WAZUH_TAG_REVISION="1"
WAZUH_DEV_STAGE=""
FILEBEAT_MODULE_VERSION="0.4"
@@ -9,8 +9,8 @@ export CONFIG_DIR=${INSTALLATION_DIR}/config
## Variables
CERT_TOOL=wazuh-certs-tool.sh
PACKAGES_URL=https://packages.wazuh.com/4.12/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.12/
PACKAGES_URL=https://packages.wazuh.com/4.13/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.13/
## Check if the cert tool exists in S3 buckets
CERT_TOOL_PACKAGES=$(curl --silent -I $PACKAGES_URL$CERT_TOOL | grep -E "^HTTP" | awk '{print $2}')
@@ -22,8 +22,8 @@ export REPO_DIR=/unattended_installer
## Variables
CERT_TOOL=wazuh-certs-tool.sh
PASSWORD_TOOL=wazuh-passwords-tool.sh
PACKAGES_URL=https://packages.wazuh.com/4.12/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.12/
PACKAGES_URL=https://packages.wazuh.com/4.13/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.13/
## Check if the cert tool exists in S3 buckets
CERT_TOOL_PACKAGES=$(curl --silent -I $PACKAGES_URL$CERT_TOOL | grep -E "^HTTP" | awk '{print $2}')
@@ -115,8 +115,8 @@ function_entrypoint_scripts() {
function_configure_vulnerability_detection() {
if [ "$INDEXER_PASSWORD" != "" ]; then
>&2 echo "Configuring password."
/var/ossec/bin/wazuh-keystore -f indexer -k username -v $INDEXER_USERNAME
/var/ossec/bin/wazuh-keystore -f indexer -k password -v $INDEXER_PASSWORD
echo "$INDEXER_USERNAME" | /var/ossec/bin/wazuh-keystore -f indexer -k username
echo "$INDEXER_PASSWORD" | /var/ossec/bin/wazuh-keystore -f indexer -k password
fi
}
+2 -2
View File
@@ -8,8 +8,8 @@
## Variables
CERT_TOOL=wazuh-certs-tool.sh
PASSWORD_TOOL=wazuh-passwords-tool.sh
PACKAGES_URL=https://packages.wazuh.com/4.12/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.12/
PACKAGES_URL=https://packages.wazuh.com/4.13/
PACKAGES_DEV_URL=https://packages-dev.wazuh.com/4.13/
## Check if the cert tool exists in S3 buckets
CERT_TOOL_PACKAGES=$(curl --silent -I $PACKAGES_URL$CERT_TOOL | grep -E "^HTTP" | awk '{print $2}')
+6 -6
View File
@@ -3,7 +3,7 @@ version: '3.7'
services:
wazuh.master:
image: wazuh/wazuh-manager:4.12.0
image: wazuh/wazuh-manager:4.13.0
hostname: wazuh.master
restart: always
ulimits:
@@ -45,7 +45,7 @@ services:
- ./config/wazuh_cluster/wazuh_manager.conf:/wazuh-config-mount/etc/ossec.conf
wazuh.worker:
image: wazuh/wazuh-manager:4.12.0
image: wazuh/wazuh-manager:4.13.0
hostname: wazuh.worker
restart: always
ulimits:
@@ -81,7 +81,7 @@ services:
- ./config/wazuh_cluster/wazuh_worker.conf:/wazuh-config-mount/etc/ossec.conf
wazuh1.indexer:
image: wazuh/wazuh-indexer:4.12.0
image: wazuh/wazuh-indexer:4.13.0
hostname: wazuh1.indexer
restart: always
ports:
@@ -107,7 +107,7 @@ services:
- ./config/wazuh_indexer/internal_users.yml:/usr/share/wazuh-indexer/opensearch-security/internal_users.yml
wazuh2.indexer:
image: wazuh/wazuh-indexer:4.12.0
image: wazuh/wazuh-indexer:4.13.0
hostname: wazuh2.indexer
restart: always
environment:
@@ -129,7 +129,7 @@ services:
- ./config/wazuh_indexer/internal_users.yml:/usr/share/wazuh-indexer/opensearch-security/internal_users.yml
wazuh3.indexer:
image: wazuh/wazuh-indexer:4.12.0
image: wazuh/wazuh-indexer:4.13.0
hostname: wazuh3.indexer
restart: always
environment:
@@ -151,7 +151,7 @@ services:
- ./config/wazuh_indexer/internal_users.yml:/usr/share/wazuh-indexer/opensearch-security/internal_users.yml
wazuh.dashboard:
image: wazuh/wazuh-dashboard:4.12.0
image: wazuh/wazuh-dashboard:4.13.0
hostname: wazuh.dashboard
restart: always
ports:
+3 -3
View File
@@ -3,7 +3,7 @@ version: '3.7'
services:
wazuh.manager:
image: wazuh/wazuh-manager:4.12.0
image: wazuh/wazuh-manager:4.13.0
hostname: wazuh.manager
restart: always
ulimits:
@@ -46,7 +46,7 @@ services:
- ./config/wazuh_cluster/wazuh_manager.conf:/wazuh-config-mount/etc/ossec.conf
wazuh.indexer:
image: wazuh/wazuh-indexer:4.12.0
image: wazuh/wazuh-indexer:4.13.0
hostname: wazuh.indexer
restart: always
ports:
@@ -71,7 +71,7 @@ services:
- ./config/wazuh_indexer/internal_users.yml:/usr/share/wazuh-indexer/opensearch-security/internal_users.yml
wazuh.dashboard:
image: wazuh/wazuh-dashboard:4.12.0
image: wazuh/wazuh-dashboard:4.13.0
hostname: wazuh.dashboard
restart: always
ports:
+150
View File
@@ -0,0 +1,150 @@
#!/bin/bash
# This script is used to update the version of a repository in the specified files.
# It takes a version number as an argument and updates the version in the specified files.
# Usage: ./repository_bumper.sh <version>
# Global variables
DIR=$(dirname "$(pwd)")
LOG_FILE="${DIR}/tools/repository_bumper_$(date +"%Y-%m-%d_%H-%M-%S-%3N").log"
VERSION=""
STAGE=""
FILES_EDITED=()
get_old_version_and_stage() {
local VERSION_FILE="${DIR}/VERSION.json"
OLD_VERSION=$(jq -r '.version' "${VERSION_FILE}")
OLD_STAGE=$(jq -r '.stage' "${VERSION_FILE}")
echo "Old version: ${OLD_VERSION}" | tee -a "${LOG_FILE}"
echo "Old stage: ${OLD_STAGE}" | tee -a "${LOG_FILE}"
}
grep_command() {
# This function is used to search for a specific string in the specified directory.
# It takes two arguments: the string to search for and the directory to search in.
# Usage: grep_command <string> <directory>
eval grep -Rl "${1}" "${2}" --exclude-dir=".git" --exclude="repository_bumper_*.log" --exclude="CHANGELOG.md" "${3}"
}
update_version_in_files() {
local OLD_MAYOR="$(echo "${OLD_VERSION}" | cut -d '.' -f 1)"
local OLD_MINOR="$(echo "${OLD_VERSION}" | cut -d '.' -f 2)"
local OLD_PATCH="$(echo "${OLD_VERSION}" | cut -d '.' -f 3)"
local NEW_MAYOR="$(echo "${VERSION}" | cut -d '.' -f 1)"
local NEW_MINOR="$(echo "${VERSION}" | cut -d '.' -f 2)"
local NEW_PATCH="$(echo "${VERSION}" | cut -d '.' -f 3)"
m_m_p_files=( $(grep_command "${OLD_MAYOR}\.${OLD_MINOR}\.${OLD_PATCH}" "${DIR}") )
for file in "${m_m_p_files[@]}"; do
sed -i "s/\bv${OLD_MAYOR}\.${OLD_MINOR}\.${OLD_PATCH}\b/v${NEW_MAYOR}\.${NEW_MINOR}\.${NEW_PATCH}/g; s/\b${OLD_MAYOR}\.${OLD_MINOR}\.${OLD_PATCH}/${NEW_MAYOR}\.${NEW_MINOR}\.${NEW_PATCH}/g" "${file}"
if [[ $(git diff --name-only "${file}") ]]; then
FILES_EDITED+=("${file}")
fi
done
m_m_files=( $(grep_command "${OLD_MAYOR}\.${OLD_MINOR}" "${DIR}") )
for file in "${m_m_files[@]}"; do
sed -i -E "/[0-9]+\.[0-9]+\.[0-9]+/! s/(^|[^0-9.])(${OLD_MAYOR}\.${OLD_MINOR})([^0-9.]|$)/\1${NEW_MAYOR}.${NEW_MINOR}\3/g" "$file"
if [[ $(git diff --name-only "${file}") ]]; then
FILES_EDITED+=("${file}")
fi
done
m_x_files=( $(grep_command "${OLD_MAYOR}\.x" "${DIR}") )
for file in "${m_x_files[@]}"; do
sed -i "s/\b${OLD_MAYOR}\.x\b/${NEW_MAYOR}\.x/g" "${file}"
if [[ $(git diff --name-only "${file}") ]]; then
FILES_EDITED+=("${file}")
fi
done
if ! sed -i "/^All notable changes to this project will be documented in this file.$/a \\\n## [${VERSION}]\\n\\n### Added\\n\\n- None\\n\\n### Changed\\n\\n- None\\n\\n### Fixed\\n\\n- None\\n\\n### Deleted\\n\\n- None" "${DIR}/CHANGELOG.md"; then
echo "Error: Failed to update CHANGELOG.md" | tee -a "${LOG_FILE}"
fi
if [[ $(git diff --name-only "${DIR}/CHANGELOG.md") ]]; then
FILES_EDITED+=("${DIR}/CHANGELOG.md")
fi
}
update_stage_in_files() {
local OLD_STAGE="$(echo "${OLD_STAGE}")"
files=( $(grep_command "${OLD_STAGE}" "${DIR}" --exclude="README.md") )
for file in "${files[@]}"; do
sed -i "s/${OLD_STAGE}/${STAGE}/g" "${file}"
if [[ $(git diff --name-only "${file}") ]]; then
FILES_EDITED+=("${file}")
fi
done
}
main() {
echo "Starting repository version bumping process..." | tee -a "${LOG_FILE}"
echo "Log file: ${LOG_FILE}"
# Parse arguments
while [[ $# -gt 0 ]]; do
case $1 in
--version)
VERSION="$2"
shift 2
;;
--stage)
STAGE="$2"
shift 2
;;
*)
echo "Unknown argument: $1"
exit 1
;;
esac
done
# Validate arguments
if [[ -z "$VERSION" ]]; then
echo "Error: --version argument is required." | tee -a "${LOG_FILE}"
exit 1
fi
if [[ -z "$STAGE" ]]; then
echo "Error: --stage argument is required." | tee -a "${LOG_FILE}"
exit 1
fi
# Validate if version is in the correct format
if ! [[ "$VERSION" =~ ^[0-9]+\.[0-9]+\.[0-9]+$ ]]; then
echo "Error: Version must be in the format X.Y.Z (e.g., 1.2.3)." | tee -a "${LOG_FILE}"
exit 1
fi
# Validate if stage is in the correct format
STAGE=$(echo "$STAGE" | tr '[:upper:]' '[:lower:]')
if ! [[ "$STAGE" =~ ^(alpha[0-9]*|beta[0-9]*|rc[0-9]*|stable)$ ]]; then
echo "Error: Stage must be one of the following examples: alpha1, beta1, rc1, stable." | tee -a "${LOG_FILE}"
exit 1
fi
# Get old version and stage
get_old_version_and_stage
if [[ "$OLD_VERSION" == "$VERSION" && "$OLD_STAGE" == "$STAGE" ]]; then
echo "Version and stage are already up to date." | tee -a "${LOG_FILE}"
echo "No changes needed." | tee -a "${LOG_FILE}"
exit 0
fi
if [[ "$OLD_VERSION" != "$VERSION" ]]; then
echo "Updating version from $OLD_VERSION to $VERSION" | tee -a "${LOG_FILE}"
update_version_in_files "$VERSION"
fi
if [[ "$OLD_STAGE" != "$STAGE" ]]; then
echo "Updating stage from $OLD_STAGE to $STAGE" | tee -a "${LOG_FILE}"
update_stage_in_files "$STAGE"
fi
echo "The following files were edited:" | tee -a "${LOG_FILE}"
for file in $(printf "%s\n" "${FILES_EDITED[@]}" | sort -u); do
echo "${file}" | tee -a "${LOG_FILE}"
done
echo "Version and stage updated successfully." | tee -a "${LOG_FILE}"
}
# Call the main method with all arguments
main "$@"